# DBC_BaseArray_objs.hxx File Reference

`#include <Standard_Integer.hxx>`
`#include <DBC_DBVArray.hxx>`
`#include <Standard_Storable.hxx>`
`#include <Standard_Address.hxx>`
`#include <Standard_OStream.hxx>`
`#include <Standard_PrimitiveTypes.hxx>`
`#include <DBC_BaseArray.lxx>`

## Data Structures

class | DBC_BaseArray

## Defines

#define | Standard_EXPORT

## Functions

Handle_Standard_Type & | DBC_BaseArray_Type_ ()
void | ShallowDump (const DBC_BaseArray &me, Standard_OStream &S)

## Define Documentation

#define Standard_EXPORT

## Function Documentation

Handle_Standard_Type& DBC_BaseArray_Type_ | ( |  | ) |

void ShallowDump | ( | const DBC_BaseArray & | me,
|  | Standard_OStream & | S
| ) |